using JsonRpcEndpointSample.Rpc.Abstractions;

namespace JsonRpcEndpointSample.Shipment.Models;

public sealed class ShipmentSearchResponse
{
    [RpcSchemaProperty(Description = "Shipment tracking number.", Required = true)]
    public string? TrackingNumber
    {
        get; set;
    }

    [RpcSchemaProperty(Description = "Current shipment status.", Required = true)]
    public string? Status
    {
        get; set;
    }

    [RpcSchemaProperty(Description = "Current shipment location.", Required = true)]
    public string? CurrentLocation
    {
        get; set;
    }
}
